Bug 176963 - ntpd and samba's winbind can't run together
ntpd and samba's winbind can't run together
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Russell Coker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-04 14:48 EST by Levente Farkas
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.17.30-2.124
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-13 05:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2006-01-04 14:48:14 EST
Description of problem:
when use ntpd and samba's winbind together we've got the following error:
Jan  4 17:10:06 piros kernel: audit(1136391006.739:8): avc:  denied  {
connectto } for  pid=28435 comm="ntpd" name="pipe"
scontext=root:system_r:ntpd_t tcontext=root:system_r:winbind_t
tclass=unix_stream_socket
Jan  4 17:12:06 piros kernel: audit(1136391126.439:10): avc:  denied  {
search } for  pid=31167 comm="ntpd" name="samba" dev=md1 ino=3940971
scontext=root:system_r:ntpd_t tcontext=system_u:object_r:samba_var_t
tclass=dir 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
allow ntpd_t winbind_t:unix_stream_socket connectto;
allow ntpd_t samba_var_t:dir search; 
solve the problem (but probably a more precise solution exist).

Additional info:
Comment 1 Daniel Walsh 2006-01-05 09:35:06 EST
Fixed in selinux-policy-targeted-1.17.30-2.124

Note You need to log in before you can comment on or make changes to this bug.